Subject: bug#60164: closed (Re: bug#60165: [1.4.0rc2] Installer doesn't properly render some non-Latin glyphs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Dec 2022 10:19:03 +0000

Your bug report

#60164: [1.4.0rc2] Installer doesn't properly render some non-Latin glyphs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60164: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60164
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60165: [1.4.0rc2] Installer doesn't properly render some non-Latin glyphs
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 20 Dec 2022 11:18:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
>> is it too late to replace by font-gnu-unifont to fix CJK fonts?
> Oh sure.  Could you send a patch?

Pushed as bbd11199e6856ded8d75468a16789715b6817b45.

> That’ll be in the next release…

It is good that way.  Thank you!

Closing.

Regards,
Florian

Subject: Re: GNU Guix 1.4.0rc2 available for testing!
From: Wolf <[email-masked]>
To: [email-masked]
Date: Sat, 17 Dec 2022 17:37:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On 2022-12-11 10:39:56 +0100, Ludovic Courtès wrote:
> Hello Guix!
> 
> The second release candidate of the upcoming 1.4.0 release is now
> available for testing, fixing issues that were reported for rc1:
> 
>   source:
>     https://alpha.gnu.org/gnu/guix/guix-1.4.0rc2.tar.gz
> 
>   binary tarball (to install on a “foreign distro”):
>     https://alpha.gnu.org/gnu/guix/guix-binary-1.4.0rc2.aarch64-linux.tar.xz
>     https://alpha.gnu.org/gnu/guix/guix-binary-1.4.0rc2.armhf-linux.tar.xz
>     https://alpha.gnu.org/gnu/guix/guix-binary-1.4.0rc2.i686-linux.tar.xz
>     https://alpha.gnu.org/gnu/guix/guix-binary-1.4.0rc2.powerpc64le-linux.tar.xz
>     https://alpha.gnu.org/gnu/guix/guix-binary-1.4.0rc2.x86_64-linux.tar.xz
> 
>   system installation:
>     https://alpha.gnu.org/gnu/guix/guix-system-install-1.4.0rc2.i686-linux.iso
>     https://alpha.gnu.org/gnu/guix/guix-system-install-1.4.0rc2.x86_64-linux.iso
> 
>   virtual machine image:
>     https://alpha.gnu.org/gnu/guix/guix-system-vm-image-1.4.0rc2.x86_64-linux.qcow2
> 
> SHA256 hashes:
> 
>   3b6c676615ce0b9de7c66ead528a91bb8520b74d2c391e0000dac8d4c76d2d52  guix-1.4.0rc2.tar.gz
>   3566bfe5f0615f9b2167db7d1a2f1c88c02e8cc5013563b3e1eb95636a58f850  guix-binary-1.4.0rc2.aarch64-linux.tar.xz
>   18741b6780e9d0f8985d2514e5dff32110091cdf4da106062d1a2cf5cd6ed6a4  guix-binary-1.4.0rc2.armhf-linux.tar.xz
>   3d8348c2dbed8f9c6ab90f2ddc0df8c10d45c042612aed1fe7dcc7eabbc18b70  guix-binary-1.4.0rc2.i686-linux.tar.xz
>   4731126cc4f3f22265ae430e2acc3f67489ec311e42de346b634656740258033  guix-binary-1.4.0rc2.powerpc64le-linux.tar.xz
>   542e53a09fddedbddd75dfc745509ad9365cb7a76750d9bf8575b589c97dc286  guix-binary-1.4.0rc2.x86_64-linux.tar.xz
>   b35f94609942b9715acefa978166189c5505934c9576b1c3e14417beb5c48d6d  guix-system-install-1.4.0rc2.i686-linux.iso
>   880a1ee977f6999f635352222d5667930d1d859a607c723573c86bd9f6c2ae69  guix-system-install-1.4.0rc2.x86_64-linux.iso
>   8bc98e42ba9370f49cfc2b051083121d8682c760ac3dac614b3f478d174c8756  guix-system-vm-image-1.4.0rc2.x86_64-linux.qcow2
> 
> All these files have an associated ‘.sig’, an OpenPGP signature that you
> can verify as explained at
> <https://guix.gnu.org/manual/en/html_node/Binary-Installation.html> [0].
> 
> You can help by:
> 
>   1. Testing the binary tarball on the distro of your choice.  You can
>      download <https://guix.gnu.org/install.sh> and uncomment the
>      ‘GNU_URL’ variable assignment that refers to alpha.gnu.org.  It
>      should pick up 1.4.0rc2 automatically.
> 
>   2. Testing the graphical installer of Guix System (the ISO images).

I booted up the installer under qemu (that is how far my current
knowledge of guix allows me to test :) ), and I did notice that the
first "weird" language is not rendered properly under 1.4.0rc2. I
attached screenshots of 1.3.0 installer and 1.4.0rc2 installer. Notice
that under 1.4.0rc2 there are just square boxes instead of the
letters.

Qemu is running with -display gtk, but I do not believe that should
actually matter. Invocation looks like this:

qemu-system-x86_64 \
	-bios /usr/share/OVMF/OVMF.fd \
	-display gtk \
	-enable-kvm \
	${use_install:+-cdrom} ${use_install:+"$guix_sys_install_iso"} \
	-hda "$guix_sys_vm_img" \
	-hdb "$new_img_a" \
	-hdd "$new_img_b" \
	-m 4096 \
	-machine type=q35,accel=kvm \
	-cpu host \
	-smp 2 \
	-device VGA,vgamem_mb=64 \
	-net nic -net user,hostfwd=tcp:127.0.0.1:10022-:22 \
	-monitor unix:"$mon_socket",server,nowait \
	-virtfs local,path="$host_dir",mount_tag=shared,security_model=none,readonly=on \
	&

I can share full script if desired (but I think the variables are
pretty much self-describing).

> 
>   3. Testing the VM image, along the lines of
>      <https://guix.gnu.org/manual/devel/en/html_node/Running-Guix-in-a-VM.html>.
> 
> Please report success to [email-masked], and report bugs and
> annoyances to [email-masked].
> 
> If not serious problems are reported, we may release 1.4.0 on Dec. 19th.
> 
> Thanks in advance!
> 
> Ludo’.
> 
> [0] Replacing https://sv.gnu.org/people/viewgpg.php?user_id=127547 by
>     https://sv.gnu.org/people/viewgpg.php?user_id=15145 in the
>     instructions.  This will only be reflected on the website after the
>     release is made.

W.

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.